YPXFR(8)

NAME
ypxfr - transfer NIS map from NIS server to here

SYNOPSIS
/usr/etc/yp/ypxfr [ -b ] [ -c ] [ -f ] [ -d domain ]
[ -h host ] [ -s domain ] [ -C tid prog ipadd port ]
mapname

DESCRIPTION

ypxfr moves a Network Information Service (NIS) map in the default domain for the local host to the local host by making use of normal NIS services. It creates a temporary map in the directory /var/yp/domain (this directory must already exist; domain is the default domain for the local host), fills it by enumerating the map's entries, fetches the map parameters (master and order number), and loads them. It then deletes any old versions of the map and moves the temporary map to the real mapname.

If run interactively, ypxfr writes its output to the terminal. However, if it is invoked without a controlling terminal, and if the log file /var/yp/ypxfr.log exists, it will append all its output to that file. Since ypxfr is most often run from the super-user's crontab file, or by ypserv, you can use the log file to retain a record of what was attempted, and what the results were.

If issecure(3) is TRUE, ypxfr requires that ypserv on the host be running as root. If the map being transferred is a secure map, ypxfr sets the permissions on the map to 0600.

For consistency between servers, ypxfr should be run periodically for every map in the NIS data base. Different maps change at different rates: the services.byname map may not change for months at a time, for instance, and may therefore be checked only once a day (in the wee hours). You may know that mail.aliases or hosts.byname changes several times per day. In such a case, you may want to check hourly for updates. A crontab(5) entry can be used to perform periodic updates automatically. Rather than having a separate crontab entry for each map, you can group commands to update several maps in a shell script. Examples (mnemonically named) are in /usr/etc/yp: ypxfr_1perday, ypxfr_2perday, and ypxfr_1perhour. They can serve as reasonable first cuts.

Refer to ypfiles(5) and ypserv(8) for an overview of the NIS service.

OPTIONS

-b  Preserve the resolver flag in the map during the transfer.

-c  Do not send a “Clear current map” request to the local ypserv process. Use this flag if ypserv is not running locally at the time you are running ypxfr. Otherwise, ypxfr will complain that it cannot talk to the local ypserv, and the transfer will fail.

-f  Force the transfer to occur even if the version at the master is not more recent than the local version.

-d domain
    Specify a domain other than the default domain.

-h host
    Get the map from host, regardless of what the map says the master is. If host is not specified, ypxfr asks the NIS service for the name of the master, and tries to get the map from there. host may be a name or an internet address in the form a.b.c.d.

-s domain
    Specify a source domain from which to transfer a map that should be the same across domains (such as the services.byname map).

-Ctid prog ipadd port
    This option is only for use by ypserv. When ypserv invokes ypxfr, it specifies that ypxfr should call back a yppush process at the host with IP address ipaddr, registered as program number prog, listening on port port, and waiting for a response to transaction tid.

FILES
/var/yp/ypxfr.log
    log file
/usr/etc/yp/ypxfr_1perday
    script to run one transfer per day, for use with cron(8)
/usr/etc/yp/ypxfr_2perday
    script to run two transfers per day
/usr/etc/yp/ypxfr_1perhour
    script for hourly transfers of volatile maps
/var/yp/domain
    NIS domain
/var/spool/cron/crontabs/root
    Super-user's crontab file

SEE ALSO
issecure(3), crontab(5), ypfiles(5), cron(8), ypserv(8), yppush(8),

YP Protocol Specification, in

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.